/* footer */

#footer {
    background-color: var(--Cards_overlays);
}

#footer-top {
    display: flex;
    padding: 2rem 0;
}

#footer-top .footer-main {
    width: 32%;
    padding: 0 2rem;
}

#footer-top .footer-main p {
    color: white;
    padding-right: 0.5rem;
}

#footer-top .footer-main .logo {
    display: flex;
    align-items: center;
}

#footer-top .footer-main .logo a img {
    width: 5rem;
    height: 5rem;
}

#footer-top .footer-main .logo .logo-text h2,
#footer-top .footer-main .logo .logo-text h6 {
    text-transform: uppercase;
    font-weight: lighter;
    line-height: 1.6rem;
}

#footer-top .footer-main .logo .logo-text h2 {
    font-size: 1.1rem;
    color: white;
}

#footer-top .footer-main .logo .logo-text h6 {
    font-size: 0.8rem;
    color: var(--Premium_gold);
}

#footer .horizontal-line {
    border-bottom: 3px solid #ca7575;
    width: 100%;
}

#footer .vertical-line {
    border-left: 1px solid #ca7575;
    height: 16.7rem;
}

#footer-top .footer-main p {
    margin: 1.2rem 0;
}

#footer-top .footer-main .icons {
    display: flex;
    gap: 1rem;
}

#footer-top .footer-main .icons .brd-rnd a {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    padding: 1.2rem;
    border: 1px solid var(--Main_CTA_buttons_highlights);
}
 
#footer-top .footer-main .icons .brd-rnd a .circle-icon {
    display: flex;
    justify-content: center;
    align-items: center;
}

#footer-top .footer-main .icons .brd-rnd a i {
    color: var(--Main_CTA_buttons_highlights);
    font-size: 1rem;
}

#footer-top .footer-main .btn a {
    padding: 0.6rem 1.4rem;
    display: inline-block;
    border-radius: 10px;
    margin: 1.2rem 0;
    background-color: var(--Main_CTA_buttons_highlights);    
    text-decoration: none;
}

#footer-top .footer-main .btn i,
#footer-top .footer-main .btn button {
    color: var(--Primary_text);
    font-size: 1.2rem;
    cursor: pointer;
}

#footer-top .footer-main .btn button {
    border: none;
    padding-left: 0.5rem;
    background-color: var(--Main_CTA_buttons_highlights);
    text-transform: uppercase;
}

#footer-top .footer-links {
    width: 20%;
    padding: 0 2.5rem;
}

#footer-top .footer-links h4,
#footer-top .footer-services h4,
#footer-top .footer-contact h4 {
    text-transform: uppercase;
    color: white;
    font-size: 1.2rem;
    margin-bottom: 1.1rem;
}

#footer-top .footer-links ul li,
#footer-top .footer-services ul li {
    list-style: none;
    margin-bottom: 1.3rem;
}

#footer-top .footer-links ul li a:hover,
#footer-top .footer-services ul li a:hover {
    color: goldenrod;
    text-decoration: underline;
    text-underline-offset: 0.6rem;
}

#footer-top .footer-links ul li a,
#footer-top .footer-services ul li a {
    text-decoration: none;
    color: white;
    font-size: 1.1rem;
    text-transform: capitalize;
}

#footer-top .footer-services {
    width: 20%;
    padding: 0 2rem;
}

#footer-top .footer-contact {
    width: 28%;
    padding: 0 1.8rem;
}

#footer-top .footer-contact .location,
#footer-top .footer-contact .tel,
#footer-top .footer-contact .mail,
#footer-top .footer-contact .web {
    display: flex;
    align-items: center;
    gap: 1rem;
    margin-bottom: 1.3rem;
}

#footer-top .footer-contact i {
    color: var(--Main_CTA_buttons_highlights);
    font-size: 1.3rem;
}

#footer-top .footer-contact p {
    color: white;
    font-size: 1.1rem;
    text-transform: capitalize;
    line-height: 1.8rem;
}

#footer-bottom {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0.6rem 0;
    position: relative;
}

#footer-bottom img {
    width: 2rem;
    height: 2rem;
    margin-right: 0.5rem;
}

#footer-bottom h5 {
    text-transform: capitalize;
    font-weight: lighter;
    font-size: 1rem;
    color: white;
}

#footer-bottom .copyright {
    position: absolute;
    right: 2%;
}

#footer-bottom .copyright p {
    color: white;
}

@media (max-width: 1200px) {
    #footer-top .footer-main {
        width: 33%;
        padding: 0 1.2rem;
    }

    #footer-top .footer-main .logo .logo-text h2 {
        font-size: 1rem;
    }

    #footer-top .footer-links {
        width: 18%;
        padding: 0 1.2rem;
    }

    #footer-top .footer-services {
        width: 22%;
        padding: 0 1.2rem;
    }

    #footer-top .footer-contact {
        width: 30%;
        padding: 0 1rem;
    }

    #footer-top .footer-main .icons .brd-rnd a {
        width: 25px;
        height: 25px;
        padding: 1.5rem;
    }
}

@media (max-width: 992px) {
    #footer-top {
        flex-direction: row;
        flex-wrap: wrap;
    }

    #footer-top .footer-main {
        width: 60%;
        padding: 0 4.5rem;
    }

    #footer-top .footer-links {
        width: 35%;
        padding: 0 4rem;
    }

    #footer-top .footer-services {
        width: 40%;
        padding: 0 4rem;
        /* order: 4; */
    }

    #footer-top .footer-main .icons {
        gap: 1.1rem;
    }

    #footer-top .footer-contact {
        width: 55%;
        padding: 0 4rem;
    }

    #footer-top .footer-contact .location {
        gap: 1.5rem;
    }

    #footer-top .footer-main,
    #footer-top .footer-links {
        margin-bottom: 4rem;
    }

    #footer #footer-top .vertical-line:nth-child(4) {
        display: none;
    }

    #footer-bottom {
        justify-content: start;
    }
}

@media (max-width: 480px) {
    #footer-top {
        flex-wrap: wrap;
        justify-content: center;
        align-items: top;
    }
    #footer-top .footer-main {
        width: 100%;
        padding: 0 2.6rem;
    }

    #footer-top .footer-links {
        width: 40%;
        padding: 0;
    }

    #footer-top .footer-services {
        width: 45%;
        padding: 0;
    }

    #footer-top .footer-contact {
        width: 100%;
        padding: 0 2.4rem;
    }

    #footer-top .footer-main,
    #footer-top .footer-links,
    #footer-top .footer-services {
        margin-bottom: 1.5rem;
    }

    #footer #footer-top .vertical-line {
        display: none;
    }

    #footer-top .footer-links h4,
    #footer-top .footer-services h4,
    #footer-top .footer-contact h4 {
        font-size: 1.1rem;
    }

    #footer-top .footer-links ul li a,
    #footer-top .footer-services ul li a {
        font-size: 1rem;
    }

    #footer-bottom {
        padding-bottom: 3.5rem;
    }

    #footer-bottom .copyright {
        left: 24%;
        bottom: 20%;
    }
}